Bug 118646 - Server becomes unreachable after high traffic
Server becomes unreachable after high traffic
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-18 11:22 EST by Alex Pircher
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Pircher 2004-03-18 11:22:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-AT; rv:1.4)
Gecko/20030624

Description of problem:
After producing high traffic (via http) the Server becomes
unreachable (via ping, ssh, http, ...). The server is still
running, so that you can logon on the console.

In /var/log/messages you find:

...
Mar 18 14:28:10 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:28:10 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:28:16 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Mar 18 14:28:16 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:28:16 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:28:24 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Mar 18 14:28:24 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:28:24 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:28:32 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Mar 18 14:28:32 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:28:32 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:28:40 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Mar 18 14:28:40 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:28:40 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:28:50 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Mar 18 14:28:50 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:28:50 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:29:00 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
Mar 18 14:29:00 localhost kernel: eth0: Transmit timed out, status
0000, PHY status 786d, resetting...
Mar 18 14:29:00 localhost kernel: eth0: reset did not complete in 10 ms.
Mar 18 14:29:06 localhost kernel: NETDEV WATCHDOG: eth0: transmit
timed out
...

Only reboot or restarting the network-interface helps.


Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1. Produce high traffic via e.g. http

Actual Results:  Server becomes unreachable

Expected Results:  Server should be still responding
Comment 1 Alex Pircher 2004-03-18 15:20:48 EST
Added "noapic" to lilo/grub as it has been told on a few websites
(like http://lunar-linux.org/pipermail/lunar/2003-January/000088.html)
and upgraded to the latest kernel-rpm available.

Let's see if it works ...
Comment 2 Alex Pircher 2004-03-18 18:03:21 EST
Added now: noapic acpi=off pci=noacpi apm=off
as a few websites said (PCI: Unknown option `noacpi'), but still
getting:

Mar 19 00:04:20 www kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar 19 00:04:20 www kernel: eth0: Transmit timed out, status 0000, PHY
status 786d, resetting...
Mar 19 00:04:40 www kernel: NETDEV WATCHDOG: eth0: transmit timed out
Mar 19 00:04:40 www kernel: eth0: Transmit timed out, status 0000, PHY
status 786d, resetting...
Comment 3 Leonard den Ottolander 2004-03-25 15:18:43 EST
You might want to add some information on your system setup. CPU,
motherboard, NICs and the like.
Comment 4 Alex Pircher 2004-03-25 16:48:28 EST
CPU: AMD Athlon XP 2200+
OS: RedHat 9, upgraded to Kernel 2.4.20-30.9

Host bridge: VIA Technologies, Inc. VT8375 [KM266] Host Bridge
PCI bridge: VIA Technologies, Inc. VT8633 [Apollo Pro266 AGP]
Ethernet controller: VIA VT6102 Rhine-II
ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC Bus Master
IDE (rev 06)
VGA compatible controller: S3 Inc. [ProSavageDDR K4M266]
Comment 5 Bugzilla owner 2004-09-30 11:41:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.